curl --request PATCH \
--url https://api.siftstack.com/api/v2/runs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"run": {
"runId": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"organizationId": "<string>",
"isPinned": true,
"name": "<string>",
"description": "<string>",
"tags": [
"<string>"
],
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z"
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"archivedDate": "2023-11-07T05:31:56Z"
}
],
"assetIds": [
"<string>"
],
"isAdhoc": true,
"startTime": "2023-11-07T05:31:56Z",
"stopTime": "2023-11-07T05:31:56Z",
"defaultReportId": "<string>",
"clientKey": "<string>",
"archivedDate": "2023-11-07T05:31:56Z"
},
"updateMask": "<string>"
}
'{
"run": {
"runId": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"organizationId": "<string>",
"isPinned": true,
"name": "<string>",
"description": "<string>",
"tags": [
"<string>"
],
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z"
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"archivedDate": "2023-11-07T05:31:56Z"
}
],
"assetIds": [
"<string>"
],
"isAdhoc": true,
"startTime": "2023-11-07T05:31:56Z",
"stopTime": "2023-11-07T05:31:56Z",
"defaultReportId": "<string>",
"clientKey": "<string>",
"archivedDate": "2023-11-07T05:31:56Z"
}
}Updates an existing run using using the list of fields specified in update_mask.
curl --request PATCH \
--url https://api.siftstack.com/api/v2/runs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"run": {
"runId": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"organizationId": "<string>",
"isPinned": true,
"name": "<string>",
"description": "<string>",
"tags": [
"<string>"
],
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z"
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"archivedDate": "2023-11-07T05:31:56Z"
}
],
"assetIds": [
"<string>"
],
"isAdhoc": true,
"startTime": "2023-11-07T05:31:56Z",
"stopTime": "2023-11-07T05:31:56Z",
"defaultReportId": "<string>",
"clientKey": "<string>",
"archivedDate": "2023-11-07T05:31:56Z"
},
"updateMask": "<string>"
}
'{
"run": {
"runId": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"organizationId": "<string>",
"isPinned": true,
"name": "<string>",
"description": "<string>",
"tags": [
"<string>"
],
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z"
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"archivedDate": "2023-11-07T05:31:56Z"
}
],
"assetIds": [
"<string>"
],
"isAdhoc": true,
"startTime": "2023-11-07T05:31:56Z",
"stopTime": "2023-11-07T05:31:56Z",
"defaultReportId": "<string>",
"clientKey": "<string>",
"archivedDate": "2023-11-07T05:31:56Z"
}
}Documentation Index
Fetch the complete documentation index at: https://docs.siftstack.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The request for a call to RunService_UpdateRun to update an existing run.
The request for a call to RunService_UpdateRun to update an existing run.
Show child attributes
The list of fields to be updated. The fields available to be updated are name, description,
start_time, stop_time, is_pinned, client_key, tags, and metadata.
Important Note: When updating the start_time, please be aware that if a subsequent data ingestion
commences for this run, the start_time will be automatically overwritten and set to the timestamp
corresponding to the beginning of the latest run. Additionally, client_key can only be set once either in run creation or in update.
Any subsequent attempt to update client_key will result in an error.
A successful response.
The response of a call to RunService_UpdateRun containing the updated run.
Show child attributes
Was this page helpful?